petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexComputeGeometryFVM

Computes the cell and face geometry for a finite volume method

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeGeometryFVM(DM dm, Vec *cellgeom, Vec *facegeom)

### Input Parameter

dm -The DM Many br

### Output Parameters

| cellgeom | - A Vec of PetscFVCellGeom data Many br
| facegeom | - A Vec of PetscFVFaceGeom data Many br

Many br

### See Also

PetscFVFaceGeom, PetscFVCellGeom, DMPlexComputeGeometryFEM()

Level:developer
Location:src/dm/impls/plex/plexgeometry.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages